Bug 13793 - RULES=groups overridden by border, colgroup=span not honored by border collapsing
Summary: RULES=groups overridden by border, colgroup=span not honored by border collap...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tables (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Dave Hyatt
URL: http://www.htmlcodetutorial.com/table...
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-20 23:18 PDT by Brady Eidson
Modified: 2007-05-28 06:25 PDT (History)
2 users (show)

See Also:


Attachments
Patch to fix first issue. (1.54 KB, patch)
2007-05-20 23:47 PDT, Dave Hyatt
mitz: review+
Details | Formatted Diff | Diff
Patch to fix second issue (4.94 KB, patch)
2007-05-21 00:37 PDT, Dave Hyatt
mitz: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brady Eidson 2007-05-20 23:18:38 PDT
Look at the url http://www.htmlcodetutorial.com/tables/_TABLE_RULES_GROUPS.html in both ToT WebKit and Firefox, scroll to the bottom.

There is a discussion about colgroup with span.  Firefox supports it properly, but ToT WebKit puts a border between each column instead of the specified groups
Comment 1 Brady Eidson 2007-05-20 23:20:27 PDT
Reduction taken from that page - 
<TABLE BORDER=1 CELLPADDING=4 RULES=GROUPS  FRAME=BOX>

<COLGROUP></COLGROUP>
<COLGROUP SPAN=3></COLGROUP>

<TR> <TH>Weekday</TH> <TH>Date</TH>    <TH>Manager</TH> <TH>Qty</TH> </TR>
<TR> <TD>Monday</TD> <TD>09/11</TD>    <TD>Kelsey</TD> <TD>639</TD>  </TR>
<TR> <TD>Tuesday</TD> <TD>09/12</TD>   <TD>Lindsey</TD> <TD>596</TD> </TR>
<TR> <TD>Wednesday</TD> <TD>09/13</TD> <TD>Randy</TD> <TD>1135</TD>  </TR>
<TR> <TD>Thursday</TD> <TD>09/14</TD>  <TD>Susan</TD> <TD>1002</TD>  </TR>
<TR> <TD>Friday</TD> <TD>09/15</TD>    <TD>Randy</TD> <TD>908</TD>   </TR>
<TR> <TD>Saturday</TD> <TD>09/16</TD>  <TD>Lindsey</TD> <TD>371</TD> </TR>
<TR> <TD>Sunday</TD> <TD>09/17</TD>    <TD>Susan</TD> <TD>272</TD>   </TR>
</TABLE>
Comment 2 Dave Hyatt 2007-05-20 23:32:58 PDT
I assume this is incorrect but will need to verify.  The bug is that border= on table is causing every cell to get a border, without respect for the rules attribute.
Comment 3 mitz 2007-05-20 23:35:05 PDT
Another thing that I notice here is that the default colgroup span in WebKit is 0, whereas in the spec and in Firefox it is 1
Comment 4 Dave Hyatt 2007-05-20 23:44:28 PDT
There are two bugs here.  RULES=groups is improperly being ignored by border= on a table.  colgroup span is not honored when doing border collapsing.
Comment 5 Dave Hyatt 2007-05-20 23:47:01 PDT
Created attachment 14639 [details]
Patch to fix first issue.

Two of the Mozilla tables tests in the expected failures directory now pass with this bug fix.  No other tests are affected.
Comment 6 mitz 2007-05-20 23:50:18 PDT
Comment on attachment 14639 [details]
Patch to fix first issue.

r=me
Comment 7 Dave Hyatt 2007-05-21 00:37:50 PDT
Created attachment 14640 [details]
Patch to fix second issue
Comment 8 mitz 2007-05-21 00:42:48 PDT
Comment on attachment 14640 [details]
Patch to fix second issue

r=me. you can remove the {start,end}ColEdge = false; lines
Comment 9 Dave Hyatt 2007-05-21 01:09:23 PDT
Fixed.
Comment 10 David Kilzer (:ddkilzer) 2007-05-21 07:21:54 PDT
(In reply to comment #5)
> Created an attachment (id=14639) [edit]
> Patch to fix first issue.
> 
> Two of the Mozilla tables tests in the expected failures directory now pass
> with this bug fix.  No other tests are affected.

Shouldn't these tests be svn-moved to the non-failing directory if they now pass?

Comment 11 David Kilzer (:ddkilzer) 2007-05-27 09:59:39 PDT
(In reply to comment #9)
> Fixed.

Code: r21614, r21615
Tests: r21616, r21617

Comment 12 David Kilzer (:ddkilzer) 2007-05-27 12:06:01 PDT
(In reply to comment #10)
> (In reply to comment #5)
> > Two of the Mozilla tables tests in the expected failures directory now pass
> > with this bug fix.  No other tests are affected.
> Shouldn't these tests be svn-moved to the non-failing directory if they now
> pass?

Actually three tests now pass when compared to Firefox 2.0.0.3 and 3.0a5pre (from 27-May-2007 5:24 AM):

LayoutTests/tables/mozilla_expected_failures/marvin/colgroup_width_pct.html
LayoutTests/tables/mozilla_expected_failures/marvin/colgroup_width_px.html
LayoutTests/tables/mozilla_expected_failures/marvin/x_colgroup_width_pct.xml

Comment 13 David Kilzer (:ddkilzer) 2007-05-28 06:25:12 PDT
$ svn commit LayoutTestResults LayoutTests/ChangeLog LayoutTests/tables
Sending        LayoutTestResults/ChangeLog
Adding         LayoutTestResults/qt/tables/mozilla/marvin/colgroup_width_pct-expected.txt
Adding         LayoutTestResults/qt/tables/mozilla/marvin/colgroup_width_px-expected.txt
Adding         LayoutTestResults/qt/tables/mozilla/marvin/x_colgroup_width_pct-expected.txt
Deleting       LayoutTestResults/qt/tables/mozilla_expected_failures/marvin/colgroup_width_pct-expected.txt
Deleting       LayoutTestResults/qt/tables/mozilla_expected_failures/marvin/colgroup_width_px-expected.txt
Deleting       LayoutTestResults/qt/tables/mozilla_expected_failures/marvin/x_colgroup_width_pct-expected.txt
Sending        LayoutTests/ChangeLog
Adding         LayoutTests/tables/mozilla/marvin/colgroup_width_pct-expected.checksum
Adding  (bin)  LayoutTests/tables/mozilla/marvin/colgroup_width_pct-expected.png
Adding         LayoutTests/tables/mozilla/marvin/colgroup_width_pct-expected.txt
Adding         LayoutTests/tables/mozilla/marvin/colgroup_width_pct.html
Adding         LayoutTests/tables/mozilla/marvin/colgroup_width_px-expected.checksum
Adding  (bin)  LayoutTests/tables/mozilla/marvin/colgroup_width_px-expected.png
Adding         LayoutTests/tables/mozilla/marvin/colgroup_width_px-expected.txt
Adding         LayoutTests/tables/mozilla/marvin/colgroup_width_px.html
Adding         LayoutTests/tables/mozilla/marvin/x_colgroup_width_pct-expected.checksum
Adding  (bin)  LayoutTests/tables/mozilla/marvin/x_colgroup_width_pct-expected.png
Adding         LayoutTests/tables/mozilla/marvin/x_colgroup_width_pct-expected.txt
Adding         LayoutTests/tables/mozilla/marvin/x_colgroup_width_pct.xml
Deleting       LayoutTests/tables/mozilla_expected_failures/marvin/colgroup_width_pct-expected.checksum
Deleting       LayoutTests/tables/mozilla_expected_failures/marvin/colgroup_width_pct-expected.png
Deleting       LayoutTests/tables/mozilla_expected_failures/marvin/colgroup_width_pct-expected.txt
Deleting       LayoutTests/tables/mozilla_expected_failures/marvin/colgroup_width_pct.html
Deleting       LayoutTests/tables/mozilla_expected_failures/marvin/colgroup_width_px-expected.checksum
Deleting       LayoutTests/tables/mozilla_expected_failures/marvin/colgroup_width_px-expected.png
Deleting       LayoutTests/tables/mozilla_expected_failures/marvin/colgroup_width_px-expected.txt
Deleting       LayoutTests/tables/mozilla_expected_failures/marvin/colgroup_width_px.html
Deleting       LayoutTests/tables/mozilla_expected_failures/marvin/x_colgroup_width_pct-expected.checksum
Deleting       LayoutTests/tables/mozilla_expected_failures/marvin/x_colgroup_width_pct-expected.png
Deleting       LayoutTests/tables/mozilla_expected_failures/marvin/x_colgroup_width_pct-expected.txt
Deleting       LayoutTests/tables/mozilla_expected_failures/marvin/x_colgroup_width_pct.xml
Transmitting file data ..
Committed revision 21835.